<?php

namespace Tests\Browser\DryRun;

use Illuminate\Foundation\Testing\DatabaseMigrations;
use Laravel\Dusk\Browser;
use Tests\DuskTestCase;

class LoginTest extends DuskTestCase
{
    /**
    * @test
    */
    public function testLogin()
    {
        $this->browse(function (Browser $browser) {
            $browser->visit('http://exchange-2.0.test')
                    ->pause(500)
                    ->type('email', 'junkit.mah@bioloop.com.my')
                    ->type('password', '123456abcabc')
                    ->click('#sign-in')
                    ->pause(5000)
                    ->assertPathIs('/dashboard');
        });
    }
}
